phonon_4.9.0-4_i386.deb


Advertisement

Description

phonon - multimedia framework from KDE using Qt 4 - metapackage

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name phonon
Package version 4.9.0
Package release 4
Package architecture i386
Package type deb
Installed size 43 B
Download size 8.87 KB
Official Mirror archive.ubuntu.com
Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
layer for capturing, mixing, processing, and playing audio and video content.
This metapackage ensures that the system has a working Phonon configuration
installed (the core library and at least one back-end).

Alternatives

Package Version Architecture Repository
phonon_4.9.0-4_amd64.deb 4.9.0 amd64 Ubuntu Universe
phonon - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
libphonon4 >= 4:4.9.0-4
phonon-backend -
phonon-backend-gstreamer -

Download

Type URL
Binary Package phonon_4.9.0-4_i386.deb
Source Package phonon

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install phonon deb package:
    # sudo apt-get install phonon

Files

Path
/usr/share/doc/phonon/changelog.Debian.gz
/usr/share/doc/phonon/copyright

Changelog

2016-07-31 - Pino Toscano <pino@debian.org>
phonon (4:4.9.0-4) unstable; urgency=medium
* Team upload.
[ Pino Toscano ]
* Remove the unused libqzeitgeist-dev build dependency.
* Switch the default backend for phonon (Qt4) from phonon-backend-vlc to
phonon-backend-gstreamer: since vlc is a Qt5 application, using it in
Qt4-based application will cause crashes due to symbols clashes.
[ Debconf translation updates ]
* Turkish (Mert Dirik). (Closes: #757504)
2016-06-10 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
phonon (4:4.9.0-3) unstable; urgency=medium
* Drop qtquick1-5-dev as a build dependency (Closes: #824957).
* Update symbols files with buildds' logs.
* Update Vcs-[Git Browser] to their https counterparts.
2016-05-18 - Maximiliano Curia <maxy@debian.org>
phonon (4:4.9.0-2) unstable; urgency=medium
[ Automatic packaging ]
* Update symbols files from buildds logs (4:4.9.0-1).
* Update symbols files.
[ Maximiliano Curia ]
* Update symbols files, hppa and sparc64 brought back lots of gccinternal symbols
* Add missing Breaks/Replaces
2016-05-14 - Maximiliano Curia <maxy@debian.org>
phonon (4:4.9.0-1) experimental; urgency=medium
* New upstream release (4.9.0).
* Update symbols files.
* Drop automoc build dependency (Closes: #824123) Thanks to Александр Волков
for the report.
* Add qtquick1-5-dev missing build dependency
* Update watch file
* Update build-deps and deps with the info from cmake
* Bump Standards-Version to 3.9.8
* Migrate to the automatic dbgsym packages
* Update symbols files with the logs from the buildds.
* Refresh patches
* Update install files
* Add myself to the uploaders list
2015-08-29 - Felix Geyer <fgeyer@debian.org>
phonon (4:4.8.3-2) unstable; urgency=medium
* Team upload.
* Make some symbols in libphonon4qt5 create a dependency on phonon4qt5
similar to libphonon4.
* Fix dependency of phonon4qt5: phonon-backend -> phonon4qt5-backend
* Correctly display the recommended backend in phonon4qt5-backend-null
debconf warning.
* Stop suggesting a mplayer backend, no such thing exists in the archive.
2015-08-08 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
phonon (4:4.8.3-1) unstable; urgency=medium
[ Maximiliano Curia ]
* New upstream release (4.8.3).
* Use the new PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT build
option.
* Refresh patches.
* Update phonon_is_not_forced_in_KDE patch
* Import upstream patch:
upstream_dont_allocate_a_char_with_undefined_size
* Import upstream patch: upstream_fix_build_with_qt_5.4.2
* New patch: fix_include_dirs
* Add ecm build dep.
* Update symbols files.
* Update install files.
* Bump Standards-Version to 3.9.6, no changes needed.
2015-02-10 - Maximiliano Curia <maxy@debian.org>
phonon (4:4.8.0-5) unstable; urgency=medium
* Team upload.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Add myself to Uploaders.
[ Rohan Garg ]
* Update phonon_is_not_forced_in_KDE.diff so that the
new include path is properly exported.
2014-11-27 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
phonon (4:4.8.0-4) unstable; urgency=medium
* Team upload.
* Add do_not_assume_existing_backend.patch to solve a crash when running
without a backend (Closes: #771138).
2014-09-28 - Diane Trout <diane@ghic.org>
phonon (4:4.8.0-3) unstable; urgency=medium
* Remove debian/installgen, no longer used.
* Simplify merginging expand4qt5_vars.awk into expand_vars.awk

See Also

Package Description
phoronix-test-suite_5.2.1-1ubuntu2_all.deb comprehensive testing and benchmarking platform
photo-uploader_0.12-3_all.deb Command line photo uploader
photocollage_1.4.3-2_all.deb Graphical tool to make photo collage posters
photofloat_0~20120917+dfsg-3_i386.deb Web 2.0 Photo Gallery Done Right via Static JSON & Dynamic Javascript
photon_0.4.6-3.1_all.deb a static HTML gallery generator
photopc_3.07-1_i386.deb Interface to digital still cameras
photoprint_0.4.2~pre2-2.4_i386.deb Image printing utility
phototonic_1.7.20-1_i386.deb image viewer and organizer
php-amqp_1.7.1-1build1_i386.deb AMQP extension for PHP
php-amqplib_2.6.3-1_all.deb pure PHP implementation of the AMQP protocol
php-analog_1.0.7-2_all.deb PHP micro logging package
php-apcu-bc_1.0.3-2ubuntu1_i386.deb APCu Backwards Compatibility Module
php-apcu_5.1.8+4.0.11-1build1_i386.deb APC User Cache for PHP
php-apigen-theme-bootstrap_1.1.3+dfsg-3_all.deb Twitter Bootstrap theme for ApiGen
php-apigen-theme-default_1.0.2+dfsg-3_all.deb Default theme for ApiGen
Advertisement
Advertisement